## python-einx 0.3.0

=== docs/requirements.txt ===
sphinx>=6.0.0
sphinx-autodoc-typehints
sphinx-book-theme>=1.0.1
.

dm-haiku
flax
torch

=== debian/changelog ===
python-einx (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1111853)

 -- Steffen Moeller <moeller@debian.org>  Fri, 22 Aug 2025 22:00:15 +0100

=== debian/control ===
Source: python-einx
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-frozendict <!nocheck>,
 python3-numpy <!nocheck>,
 python3-sympy <!nocheck>
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/fferflo/einx
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-einx
Vcs-Git: https://salsa.debian.org/python-team/packages/python-einx,git

Package: python3-einx
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python3-torch
Description: Universal Tensor Operations in Einstein-Inspired Notation
 einx is a Python library that provides a universal interface to
 formulate tensor operations in frameworks such as Numpy, PyTorch,
 Jax and Tensorflow. The design is based on the following principles:
 .
 Provide a set of elementary tensor operations following Numpy-like
 naming:
  einx.{sum|max|where|add|dot|flip|get_at|...}
 .
 Use einx notation to express vectorization of the elementary
 operations. einx notation is inspired by einops, but introduces several
 novel concepts such as []-bracket notation and full composability that
 allow using it as a universal language for tensor operations.
 einx can be integrated and mixed with existing code seamlessly. All
 operations are just-in-time compiled into regular Python functions using
 Python's exec() and invoke operations from the respective framework.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME=python-einx

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/fferflo/einx/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
